function runComicSinkFullStart( )
	if ( isIOS( ) and not areLevelsUnlocked( ) ) then
		runComicGoldFish1( )
	end
end

function runComicGoldFish1( )
	if ( isIOS( ) and isIPhone( ) ) then
		local comic = createComic( "comic_goldfish_1_iphone" ) ;

		addWhiteBlock( comic, 53, 135, 383, 174, true ) ;
		addText( comic, getString( "comic_goldfish1_d1" ), 53, 135, 383, 174, true ) ;

		addWhiteBlock( comic, 724, 345, 885, 400, true ) ;
		addText( comic, getString( "comic_goldfish1_d2" ), 724, 345, 885, 400, true ) ;
	else
		local comic = createComic( "comic_goldfish_1" ) ;

		addWhiteBlock( comic, 39, 101, 289, 133, true ) ;
		addText( comic, getString( "comic_goldfish1_d1" ), 39, 101, 289, 133, true ) ;

		addWhiteBlock( comic, 539, 234, 668, 304, true ) ;
		addText( comic, getString( "comic_goldfish1_d2" ), 539, 234, 668, 304, true ) ;
	end
end

function runComicGoldFish2( )
	d4index = "comic_goldfish2_d4_alt" .. randomInt(1,4) ;

	if ( isIOS( ) and isIPhone( ) ) then
		local comic = createComic( "comic_goldfish_2_iphone" ) ;
		
		addText( comic, getString( "comic_goldfish2_d1" ), 466, 33, 738, 139, false ) ;
		addText( comic, getString( "comic_goldfish2_d2" ), 1430, 14, 1733, 105, false ) ;
		addText( comic, getString( "comic_goldfish2_d3" ), 1985, 83, 2097, 148, false ) ;
		addText( comic, getString( d4index ), 2322, 13, 2552, 157, false ) ;
		addText( comic, getString( "comic_goldfish2_d5" ), 2483, 167, 2706, 256, false ) ;
	else
		local comic = createComic( "comic_goldfish_2" ) ;
		
		addText( comic, getString( "comic_goldfish2_d1" ), 350, 25, 553, 104, false ) ;
		addText( comic, getString( "comic_goldfish2_d2" ), 53, 394, 279, 461, false ) ;
		addText( comic, getString( "comic_goldfish2_d3" ), 470, 446, 552, 493, false ) ;
		addText( comic, getString( d4index ), 723, 393, 894, 500, false ) ;
		addText( comic, getString( "comic_goldfish2_d5" ), 843, 509, 1009, 575, false ) ;
	end
end

function runComicDolphin1( )
	if ( isIOS( ) and isIPhone( ) ) then
		local comic = createComic( "comic_dolphin_1_iphone" ) ;

		addText( comic, getString( "comic_dolphin_d1" ), 1165, 52, 1342, 177, false ) ;
		addText( comic, getString( "comic_dolphin_d2" ), 2041, 48, 2249, 220, false ) ;
		addText( comic, getString( "comic_dolphin_d3" ), 1973, 293, 2256, 435, false ) ;
	else
		local comic = createComic( "comic_dolphin_1" ) ;

		addText( comic, getString( "comic_dolphin_d1" ), 874, 40, 1007, 134, false ) ;
		addText( comic, getString( "comic_dolphin_d2" ), 511, 418, 666, 548, false ) ;
		addText( comic, getString( "comic_dolphin_d3" ), 460, 602, 673, 709, false ) ;
	end
end

function runComicShark1( )
	if ( isIOS( ) and isIPhone( ) ) then
		local comic = createComic( "comic_shark_1_iphone" ) ;

		addText( comic, getString( "comic_shark_d1" ), 15, 28, 424, 153, false ) ;
		addText( comic, getString( "comic_shark_d2" ), 447, 29, 864, 172, false ) ;
		addText( comic, getString( "comic_shark_d3" ), 956, 24, 1228, 162, false ) ;
		addText( comic, getString( "comic_shark_d4" ), 1407, 16, 1737, 146, false ) ;
		addText( comic, getString( "comic_shark_d5" ), 1820, 11, 2070, 96, false ) ;
		addText( comic, getString( "comic_shark_d6" ), 2370, 14, 2656, 88, false ) ;

		addWhiteBlock( comic, 24, 279, 119, 329, true ) ;
		addText( comic, getString( "comic_shark_d7" ), 24, 279, 119, 329, true ) ;
	else
		local comic = createComic( "comic_shark_1" ) ;

		addText( comic, getString( "comic_shark_d1" ), 10, 22, 321, 116, false ) ;
		addText( comic, getString( "comic_shark_d2" ), 335, 23, 651, 130, false ) ;
		addText( comic, getString( "comic_shark_d3" ), 716, 20, 921, 121, false ) ;
		addText( comic, getString( "comic_shark_d4" ), 34, 396, 284, 493, false ) ;
		addText( comic, getString( "comic_shark_d5" ), 344, 392, 534, 455, false ) ;
		addText( comic, getString( "comic_shark_d6" ), 757, 394, 974, 449, false ) ;

		--addWhiteBlock( comic, 18, 211, 90, 249, true ) ;
		--addText( comic, getString( "comic_shark_d7" ), 18, 211, 90, 249, true ) ;
	end
end

function runComicShark2( )
	if ( isIOS( ) and isIPhone( ) ) then
		local comic = createComic( "comic_shark_2_iphone" ) ;

		addText( comic, getString( "comic_shark_2_d1" ), 953, 21, 1319, 94, false ) ;
		addText( comic, getString( "comic_shark_2_d2" ), 1026, 363, 1342, 496, false ) ;
		addText( comic, getString( "comic_shark_2_d3" ), 1383, 19, 1762, 85, false ) ;
		addText( comic, getString( "comic_shark_2_d4" ), 1997, 71, 2264, 228, false ) ;
	else
		local comic = createComic( "comic_shark_2" ) ;

		addText( comic, getString( "comic_shark_2_d1" ), 714, 18, 991, 72, false ) ;
		addText( comic, getString( "comic_shark_2_d2" ), 769, 275, 1009, 373, false ) ;
		addText( comic, getString( "comic_shark_2_d3" ), 17, 399, 304, 446, false ) ;
		addText( comic, getString( "comic_shark_2_d4" ), 477, 437, 680, 553, false ) ;
	end
end
